peak.can.basic

## Enum TPCANBitrateFDValue

- java.lang.Object
- - java.lang.Enum<TPCANBitrateFDValue>
  - - peak.can.basic.TPCANBitrateFDValue

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TPCANBitrateFDValue>

      public enum TPCANBitrateFDValue
      extends java.lang.Enum<TPCANBitrateFDValue>

  Baud rate codes = BTR0/BTR1 register values for the CAN controller. You can define your own Baud rate with the BTROBTR1 register. Take a look at www.peak-system.com for our free software "BAUDTOOL" to calculate the BTROBTR1 register for every baudrate and sample point.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `PCAN_BR_CLOCK` Clock frequency in Herz (80000000, 60000000, 40000000, 30000000, 24000000, 20000000)
    `PCAN_BR_CLOCK_MHZ` Clock frequency in Megaherz (80, 60, 40, 30, 24, 20)
    `PCAN_BR_DATA_BRP` Clock prescaler for highspeed data time quantum
    `PCAN_BR_DATA_SAMPLE` Secondary sample point delay for highspeed data bitrate in cyles
    `PCAN_BR_DATA_SJW` Synchronization Jump Width for highspeed data bit rate in time quanta
    `PCAN_BR_DATA_TSEG1` TSEG1 segment for fast data bit rate in time quanta
    `PCAN_BR_DATA_TSEG2` TSEG2 segment for fast data bit rate in time quanta
    `PCAN_BR_NOM_BRP` Clock prescaler for nominal time quantum
    `PCAN_BR_NOM_SAMPLE` Sample point for nominal bit rate
    `PCAN_BR_NOM_SJW` Synchronization Jump Width for nominal bit rate in time quanta
    `PCAN_BR_NOM_TSEG1` TSEG1 segment for nominal bit rate in time quanta
    `PCAN_BR_NOM_TSEG2` TSEG2 segment for nominal bit rate in time quanta

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static TPCANBitrateFDValue` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TPCANBitrateFDValue[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PCAN_BR_CLOCK

          public static final TPCANBitrateFDValue PCAN_BR_CLOCK

      Clock frequency in Herz (80000000, 60000000, 40000000, 30000000, 24000000, 20000000)

    - #### PCAN_BR_CLOCK_MHZ

          public static final TPCANBitrateFDValue PCAN_BR_CLOCK_MHZ

      Clock frequency in Megaherz (80, 60, 40, 30, 24, 20)

    - #### PCAN_BR_NOM_BRP

          public static final TPCANBitrateFDValue PCAN_BR_NOM_BRP

      Clock prescaler for nominal time quantum

    - #### PCAN_BR_NOM_TSEG1

          public static final TPCANBitrateFDValue PCAN_BR_NOM_TSEG1

      TSEG1 segment for nominal bit rate in time quanta

    - #### PCAN_BR_NOM_TSEG2

          public static final TPCANBitrateFDValue PCAN_BR_NOM_TSEG2

      TSEG2 segment for nominal bit rate in time quanta

    - #### PCAN_BR_NOM_SJW

          public static final TPCANBitrateFDValue PCAN_BR_NOM_SJW

      Synchronization Jump Width for nominal bit rate in time quanta

    - #### PCAN_BR_NOM_SAMPLE

          public static final TPCANBitrateFDValue PCAN_BR_NOM_SAMPLE

      Sample point for nominal bit rate

    - #### PCAN_BR_DATA_BRP

          public static final TPCANBitrateFDValue PCAN_BR_DATA_BRP

      Clock prescaler for highspeed data time quantum

    - #### PCAN_BR_DATA_TSEG1

          public static final TPCANBitrateFDValue PCAN_BR_DATA_TSEG1

      TSEG1 segment for fast data bit rate in time quanta

    - #### PCAN_BR_DATA_TSEG2

          public static final TPCANBitrateFDValue PCAN_BR_DATA_TSEG2

      TSEG2 segment for fast data bit rate in time quanta

    - #### PCAN_BR_DATA_SJW

          public static final TPCANBitrateFDValue PCAN_BR_DATA_SJW

      Synchronization Jump Width for highspeed data bit rate in time quanta

    - #### PCAN_BR_DATA_SAMPLE

          public static final TPCANBitrateFDValue PCAN_BR_DATA_SAMPLE

      Secondary sample point delay for highspeed data bitrate in cyles

  - ### Method Detail

    - #### values

          public static TPCANBitrateFDValue[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TPCANBitrateFDValue c : TPCANBitrateFDValue.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TPCANBitrateFDValue valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()